Error
A valid request URL is required to generate request examples{
"id": "<string>",
"code": "<string>",
"externalCode": "<string>",
"deliveryWindowsType": "BY_PRODUCT",
"customerId": "<string>",
"customerCode": "<string>",
"salesRepresentativeCode": "<string>",
"status": "DRAFT",
"type": "PRE_ORDER",
"subTotal": 123,
"totalDiscount": 123,
"totalCharges": 123,
"totalShippingCostValue": 123,
"totalValue": 123,
"totalPieces": 123,
"totalItems": 123,
"synchronizedStatus": "SUCCESS",
"createdAt": "<string>",
"updatedAt": "<string>",
"maxChangedDate": "<string>",
"observation": "<string>",
"archived": true,
"priceTableCode": "<string>",
"sellerEmail": "<string>",
"priceComposition": [
{
"id": "<string>",
"label": "<string>",
"price": 123
}
],
"consultantCode": "<string>",
"consultantName": "<string>"
}pedidos
update order
PATCH
/
v1
/
orders
/
{orderId}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"code": "<string>",
"externalCode": "<string>",
"deliveryWindowsType": "BY_PRODUCT",
"customerId": "<string>",
"customerCode": "<string>",
"salesRepresentativeCode": "<string>",
"status": "DRAFT",
"type": "PRE_ORDER",
"subTotal": 123,
"totalDiscount": 123,
"totalCharges": 123,
"totalShippingCostValue": 123,
"totalValue": 123,
"totalPieces": 123,
"totalItems": 123,
"synchronizedStatus": "SUCCESS",
"createdAt": "<string>",
"updatedAt": "<string>",
"maxChangedDate": "<string>",
"observation": "<string>",
"archived": true,
"priceTableCode": "<string>",
"sellerEmail": "<string>",
"priceComposition": [
{
"id": "<string>",
"label": "<string>",
"price": 123
}
],
"consultantCode": "<string>",
"consultantName": "<string>"
}Authorizations
unique identifier access key. each brand has it own unique key.
Path Parameters
Body
application/json
Response
update order
order id
order sequential code
external code
indicates if order has delivery windows by order or product
Available options:
BY_PRODUCT, BY_ORDER customer id
customer code
sales representative code
order status
Available options:
DRAFT, IN_REVISION, ON_APPROVAL, APPROVED, SENT, CANCELED, ABANDONED, REJECTED, SUGGESTED order type
Available options:
PRE_ORDER, READY_FOR_DELIVERY, BOTH order subtotal
order discount
order total charges
order total shipping cost
order total value
order total pieces: sum of all pieces
order total items: its calculated by group of [product - color - availability - delivery window]
order synchronization status
Available options:
SUCCESS, SUCCESS_RESET, ERROR, NOT_SYNCHRONIZED, PROCESSING, PROCESSING_AFTER_RESET, SUCCESS_WITH_PAYMENT_ERROR order creation date
order last update date
order or relations max changed date
order description
order archived
price table code
seller email
price composition
Show child attributes
Show child attributes
consultant code
consultant name
